call \ep196\msvcvars.bat

cd \ep196\MAKETAB        

cd \ep196\SRCDLL     
copy ..\mak\srcdll.mak
del src*.dll
nmake /f srcdll.mak /A
set ERRORID=MAKE SRCDLL
if NOT EXIST SRC*.DLL GOTO MAKEERR
copy src*.dll ..   

cd \ep196\BPTDLL
copy ..\mak\bptdll.mak
DEL BPT*.DLL
nmake /f bptdll.mak /A
set ERRORID=MAKE BPTDLL
if NOT EXIST BPT*.DLL GOTO MAKEERR
copy bpt*.dll ..   
          
cd \ep196\STEPDLL 
copy ..\mak\stepdll.mak
DEL STEP*.DLL
nmake /f stepdll.mak /A
set ERRORID=MAKE STEPDLL
if NOT EXIST STEP*.DLL GOTO MAKEERR
copy step*.dll ..           

cd \ep196\HLP            

cd \ep196\RES          

cd \ep196\GODLL   
copy ..\mak\gosvr.mak
DEL GO*.DLL
nmake /f gosvr.mak /A
set ERRORID=MAKE GOSVR.DLL
if NOT EXIST GO*.DLL GOTO MAKEERR
copy go*.dll ..

cd \ep196\FWSETUP       
copy ..\mak\fwsetup.mak
DEL FWS*.EXE
nmake /f fwsetup.mak /A
set ERRORID=MAKE FWSETUP.EXE
if NOT EXIST FWS*.EXE GOTO MAKEERR
copy fws*.exe .. 

cd \ep196\ABIDLL         
copy ..\mak\abi196.mak
DEL ABI*.DLL
nmake /f abi196.mak /A
set ERRORID=MAKE ABI196.DLL
if NOT EXIST ABI*.DLL GOTO MAKEERR
copy abi*.dll ..  

cd \ep196\ADDRDLL        
copy ..\mak\addrdll.mak
DEL ADDR*.DLL
nmake /f addrdll.mak /A
set ERRORID=MAKE ADDRDLL.DLL
if NOT EXIST ADDR*.DLL GOTO MAKEERR
copy addr*.dll .. 

cd \ep196\SYMSVR        
copy ..\mak\symsvr.mak
DEL SYMSVR.DLL
nmake /f symsvr.mak /A
set ERRORID=MAKE SYMSVR.DLL
if NOT EXIST SYMSVR.DLL GOTO MAKEERR
copy symsvr.dll ..

cd \ep196\ERROR          

cd \ep196\INITDLL
copy ..\mak\init196.mak
DEL INIT*.DLL
nmake /f init196.mak /A
set ERRORID=MAKE INIT196.DLL
if NOT EXIST INIT*.DLL GOTO MAKEERR
copy init*.dll ..

cd \ep196\BANKSET       
copy ..\mak\bankset.mak
DEL BAN*.EXE
nmake /f bankset.mak /A
set ERRORID=MAKE BANKSET.EXE
if NOT EXIST BAN*.EXE GOTO MAKEERR
copy ban*.exe ..

cd \ep196\LOADDLL        
copy ..\mak\loaddll.mak
DEL LOAD*.DLL
nmake /f loaddll.mak /A
set ERRORID=MAKE LOADDLL.DLL
if NOT EXIST LOAD*.DLL GOTO MAKEERR
copy load*.dll .. 

cd \ep196\REGMAP         
copy ..\mak\regmap.mak
DEL REGMAP*.DLL
nmake /f regmap.mak /A
set ERRORID=MAKE REGMAP.DLL
if NOT EXIST REGMAP*.DLL GOTO MAKEERR
copy regmap*.dll ..

cd \ep196\diagno
copy ..\mak\diagno.mak
DEL DIAG*.EXE
nmake /f diagno.mak /A
set ERRORID=MAKE DIAGNO.EXE
if NOT EXIST DIAGNO*.EXE GOTO MAKEERR
copy diagno*.exe ..
copy *.dat ..

GOTO END

:MAKEERR
ECHO %ERRORID% ERROR
GOTO EXIT

:END
ECHO MAKE SUCCESSFULLY

:EXIT
CD \EP196
